package com.auto.clicker.autoclicker.room.entity;

import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.PrimaryKey;



@Entity(tableName = "touchPoints")
public class TouchPoint {
    @PrimaryKey(autoGenerate = true)
    public long pointId;

    @ColumnInfo(name = "x_coordinate")
    public int x;

    @ColumnInfo(name = "y_coordinate")
    public int y;

    public TouchPoint(int x, int y) {
        this.x = x;
        this.y = y;
    }

    public long getPointId() { return pointId; }
    public void setPointId(long pointId) { this.pointId = pointId; }
    public int getX() { return x; }
    public void setX(int x) { this.x = x; }
    public int getY() { return y; }
    public void setY(int y) { this.y = y; }
}
